Tech Support Forum banner
Status
Not open for further replies.
1 - 1 of 1 Posts

·
Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
Hey all,

I built a computer in 2004 and when i built my new one i gave it to my neighbors. Recently the power supply went, which was a ENERMAX Noisetaker EG425P-VE-SFMA 420W ATX12V PSU. All the new power supplies i see on sites like newegg all say ATX12V version 2.3 or 2.2 etc, and i believe mine was only version 1.5 or something like that. Are these newer models backwards compatible? I just want to make sure I don't go through all the hassle of getting a new one and installing it to find out it does not work. Thanks in advance for any help.

Tim
 
1 - 1 of 1 Posts
Status
Not open for further replies.
Top